/*!
* \file controleur.h
* \brief Fichier contenant la definition des fonctions du controleur.
*/

#include "structures.h"

#ifndef CONTROLEUR_H
#define CONTROLEUR_H

void initJeu();

void ajouterUnJoueur(char * nomDuJoueur, EtatsJeu * etat);

int nbClasses();
char ** obtenirNomsClasses();
char ** obtenirSkinsClasses();
void freeClasses(char ** tab);

int nbCartes();
char ** obtenirNomsCartes();
char ** obtenirDescriptionCarte();
void freeCartes(char **);

Case * trouverCase(Carte_Jeu * c, int x, int y);

int ajouterPersonnage(char * nomClasse, int numTab, int numJoueur);

int selectionnerCarte(char * nomCarte);
void initPositions();

char * ObtenirRessourceTerrain(int x, int y);

int personnagePresent(int x, int y);
char * obtenirRessourcePersonnage(int x, int y);

void testControlleurConsole();
#endif // CONTROLEUR_H

